Sitzungen mit Insights auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/sessions/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/sessions/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/sessions/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"acus_consumed": 123,
"created_at": 123,
"num_devin_messages": 123,
"num_user_messages": 123,
"org_id": "<string>",
"pull_requests": [
{
"pr_state": "<string>",
"pr_url": "<string>"
}
],
"session_id": "<string>",
"session_size": "xs",
"status": "new",
"tags": [
"<string>"
],
"updated_at": 123,
"url": "<string>",
"analysis": {
"action_items": [],
"classification": {
"category": "<string>",
"confidence": 123,
"programming_languages": [],
"tools_and_frameworks": []
},
"issues": [],
"note_usage": {
"bad_usages": [],
"good_usages": []
},
"suggested_prompt": {
"original_prompt": "<string>",
"suggested_prompt": "<string>",
"feedback_items": []
},
"timeline": []
},
"automation_id": "<string>",
"category": "bug_fixing",
"child_session_ids": [
"<string>"
],
"devin_mode": "normal",
"is_archived": false,
"origin": "webapp",
"parent_session_id": "<string>",
"playbook_id": "<string>",
"service_user_id": "<string>",
"status_detail": "working",
"structured_output": {},
"subcategory": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Sitzungen (Enterprise)
Sitzungen mit Insights auflisten
Listet Sitzungen mit detaillierten Einblicken auf, einschließlich der Anzahl der Nachrichten, der Einstufung der Sitzungsgröße und KI-generierter Analysen.
GET
/
v3
/
enterprise
/
sessions
/
insights
Sitzungen mit Insights auflisten
Berechtigungen
ViewAccountSessions auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Verfügbare Optionen:
webapp, slack, teams, api, linear, jira, automation, cli, desktop, code_scan, other Nach Repository-Namen filtern (z. B. 'owner/repo')
Verfügbare Optionen:
bug_fixing, ci_cd_and_devops, code_quality_and_security, code_review, code_review_and_analysis, data_and_automation, documentation_and_content, feature_development, migrations_and_upgrades, other, production_investigation, refactoring_and_optimization, research_and_exploration, security, unit_test_generation Sitzungen filtern, die durch eine dieser Automatisierungen erstellt wurden
Untergeordnete Sitzungen filtern, die von dieser übergeordneten Sitzung gestartet wurden
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, falls dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen weggelassen werden).

